Test Webhook Endpoint
webhooks.test(strwebhook_endpoint_id , WebhookTestParams**kwargs ) -> WebhookEndpointTestResult
POST
/webhook_endpoints/{webhook_endpoint_id}/testSends a sample event to a webhook endpoint for the authenticated project.
Test Webhook Endpoint
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
webhook_endpoint_test_result = client.webhooks.test(
webhook_endpoint_id="whe_123",
event_type="batch.completed",
)
print(webhook_endpoint_test_result.webhook_endpoint_id)200 — Example
{
"event_type": "event_type",
"object": "webhook_endpoint.test",
"status_code": 0,
"success": true,
"webhook_endpoint_id": "webhook_endpoint_id"
}Returns Examples
200 — Example
{
"event_type": "event_type",
"object": "webhook_endpoint.test",
"status_code": 0,
"success": true,
"webhook_endpoint_id": "webhook_endpoint_id"
}